com.corticon.rulesemf.canonicaltestmodel

## Interface CanonicaltestmodelPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface CanonicaltestmodelPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `CanonicaltestmodelFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CanonicaltestmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static CanonicaltestmodelPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `TEST_MODEL_ELEMENT` The meta object id for the '`Test Model Element`' class
    `static int` | `TEST_MODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Test Model Element' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CanonicaltestmodelFactory` | `getCanonicaltestmodelFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EClass` | `getTestModelElement()` Returns the meta object for class '`Test Model Element`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final CanonicaltestmodelPackage eINSTANCE

      The singleton instance of the package.

    - #### TEST_MODEL_ELEMENT

          static final int TEST_MODEL_ELEMENT

      The meta object id for the '`Test Model Element`' class.
      See Also:
        `TestModelElementImpl`, `CanonicaltestmodelPackageImpl.getTestModelElement()`, Constant Field Values

    - #### TEST_MODEL_ELEMENT_FEATURE_COUNT

          static final int TEST_MODEL_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Test Model Element' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTestModelElement

          org.eclipse.emf.ecore.EClass getTestModelElement()

      Returns the meta object for class '`Test Model Element`'.
      Returns:
        the meta object for class 'Test Model Element'.
      See Also:
        `TestModelElement`

    - #### getCanonicaltestmodelFactory

          CanonicaltestmodelFactory getCanonicaltestmodelFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.